%define debug_package %{nil}

Name: ipasserelle-groupware
Version: 0.2.37
Release: 1%{?dist}
Epoch: 9
Summary: iPasserelle Groupware module
Group: Networking/Daemons
License: GPLv3+
URL: http://www.ipasserelle.com
Source0: %{name}-%{version}.tar.gz

BuildRoot: BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot

BuildRequires: e-smith-devtools
BuildRequires: gcc
Requires: smeserver-release >= 8
Requires: e-smith-ldap >= 5.2.0-19
Requires: sogo >= 2.3.0
Requires: sogo-tool
Requires: sogo-activesync
Requires: sope49-gdl1-mysql
Requires: sogo-ealarms-notify
Requires: ipasserelle-base
Requires: memcached
Requires: ipasserelle-portal
Requires: smeserver-lemonldap-ng >= 0.2.6
Requires: smeserver-pam_cas
Requires: python-memcached

Obsoletes: smeserver-sogo
Provides: smeserver-sogo

%description
iPasserelle module for the groupware application.
Based on smeserver-sogo from nethesis

%changelog
* Tue Mar 27 2018 Daniel Berteaud <daniel@firewall-services.com> 0.2.37-1
- new package built with tito
- Use / separator when using only PublicMailbox
* Mon Jul 3 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.2.36-1
- Add Debug prop to turn on all the debug directives in sogo.conf

* Tue Jun 20 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.2.35-1
- Allow setting the number of workers, or the number of users per worker

* Thu Mar 23 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.2.34-1
- Use expire-autoreply for SOGo v2 instead of update-autoreply

* Thu Feb 16 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.2.33-1
- Set a shorter cache TTL when not using CAS authentication

* Mon Jan 9 2017 Daniel Berteaud <daniel@firewall-services.com> - 0.2.32-1
- Support vacation schedule using a sieve master user
- Set junk folder to junkmail
- Remove custom login page template

* Fri Jun 24 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.2.31-1
- Use / as mailbox separator when shared mailbox is enabled

* Wed Jun 8 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.2.30-1
- Possibility to set sogo per worker memory limit

* Mon Jun 6 2016 Daniel Berteaud <daniel@firewall-services.com> - 0.2.29-1
- Set . as mailbox separator

* Wed Jun 3 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.28-1
- Upgrade DB schema for 2.3.0

* Wed Mar 25 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.27-1
- Allow cross site requests on dav resources

* Thu Mar 5 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.26-1
- Add a Authentication prop to choose between CAS or internal auth
- Update login page wox template
- Put logo_ipasserelle.png in the right directory on x86_64

* Wed Feb 18 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.25-1
- Allow EAS push

* Tue Feb 17 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.24-1
- Increase memcached duration to 2 hours
- Completly disable dovecot's negative cache

* Tue Feb 17 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.23-1
- Fix slow access when logged in from different browsers at the same time

* Wed Jan 21 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.22-1
- Dovecot ttls are in seconds

* Wed Jan 21 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.21-1
- Make dovecot's auth_cache last as long as sogo's memcached

* Wed Jan 7 2015 Daniel Berteaud <daniel@firewall-services.com> - 0.2.20-1
- Enable dovecot auth_cache
- Enable IMAP pooling to reduce auth against dovecot

* Thu Sep 11 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.2.19-1
- Update refresh parameter for SOGo 2.2.8

* Wed Jun 25 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.2.18-1
- Use sogo-tool to expire sessions

* Tue Feb 25 2014 Daniel Berteaud <daniel@firewall-services.com> - 0.2.17-1
- Add optional support for ActiveSync (default is disabled)
- Add a default reminder 15 minutes before appointments
- Fix an AliasMatch directive in httpd.conf template

* Fri Dec 20 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.16-1
- Remove EMailAlarm option

* Thu Dec 12 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.15-1
- Template /etc/sogo/sogo.conf instead of
  /var/lib/sogo/GNUstep/Defaults/.GNUstepDefaults

* Tue Nov 12 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.14-1
- New branch for SME9

* Mon Sep 30 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.13-1
- Increase Cache Cleanup interval

* Tue Sep 17 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.12-1
- Enable CAS authentication

* Fri Aug 23 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.11-1
- Revert previous change as it breaks folder management

* Fri Aug 23 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.10-1
- Use a dot instead of a slash as folder separator for sieve rules

* Thu Jun 13 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.9-1
- Use one worker for 8 users

* Thu Mar 28 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.8-1
- Link sogo-upgrade in bootstrap-console-save

* Fri Mar 15 2013 Daniel Berteaud <daniel@firewall-services.com> - 0.2.7-1
- Add a qpsmtpd plugin to fix SOGo headers case. See
  http://sogo.nu/bugs/view.php?id=1047
- Cleanup database creation/privileges modifications
- use /var/lib/sogo instead of /home/sogo
- change shell of sogo to /sbin/nologin

* Fri Dec 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.6-1
- First week of year is the first 4 days week

* Wed Dec 19 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.5-1
- Add a popup blocker exception for Firefox via MCD (requires ipasserelle-gp)

* Wed Nov 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.4-1
- Remove user data from SOGo database on user removal

* Fri Sep 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.3-1
- Add support for /.well-known URL (iOS auto discover)
- Add SRV records for caldav and carddav services

* Tue Aug 28 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.2-2
- Requires memcached

* Fri Jun 22 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.2-1
- Fix 64bits detection

* Mon Jun 18 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.1-1
- 64bits compatibility

* Wed Mar 14 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.2.0-1.sme
- Migrate to git

* Wed Feb 15 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-16.sme
- Purge old (default to 24h) sessions from database
- Use a unix socket to connect to memcached

* Tue Feb 14 2012 Daniel Berteaud <daniel@firewall-services.com> - 0.1-15.sme
- Fix sogo-ealarm-notify path in cron job

* Fri Nov 18 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-14.sme
- Adjust number of prefork (1 for 15 users, 3 workers minimum)
- Enable sieve if available (smeserver-dovecot is needed for this)
- Change display name of LDAP address books
- Reorder configuration directives
- Split templates in separated files
- Requires sogo-tool
- Remove default forward mechanism as attached (go back to inline)
- Backup with sogo-tool
- Don't force access using $SystemName.$DomainName
- Set default charset to UTF8
- Remove Priority column

* Tue Nov 01 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-13.sme
- Compatibility with SOGo 1.3.9

* Fri Oct 07 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-12.sme
- Also apply the filter to group addressbook

* Thu Sep 01 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-11.sme
- Change SOGo spool path to /var/spool/sogo

* Mon Jun 20 2011 Daniel Berteaud <daniel@firewall-services.com> - 0.1-10.sme
- FR locale corrections

* Thu Jun 09 2011 Daniel B. <daniel@firewall-services.com> - 0.1-9.sme
- Access restriction based on group membership
- Small panel to configure SOGo
- Replace SOGo logo with iPasserelle one on the login page

* Thu Apr 07 2011 Daniel B. <daniel@firewall-services.com> - 0.1-8.sme
- Templates /etc/sysconfig/sogo and default prefork to 5

* Fri Mar 25 2011 Daniel B. <daniel@firewall-services.com> - 0.1-7.sme
- Fix RewriteRules for SSL vhosts

* Fri Mar 25 2011 Daniel B. <daniel@firewall-services.com> - 0.1-6.sme
- RewriteRule to $SystemName.$DomainName

* Wed Mar 23 2011 Daniel B. <daniel@firewall-services.com> - 0.1-5.sme
- Allow custom WebServerRessources folder

* Wed Mar 16 2011 Daniel B. <daniel@firewall-services.com> - 0.1-4.sme
- Rewrite /sogo to /SOGo (using a rewriterule)

* Wed Mar 16 2011 Daniel B. <daniel@firewall-services.com> - 0.1-3.sme
- Fix week number (first week of year)

* Mon Mar 14 2011 Daniel B. <daniel@firewall-services.com> - 0.1-2.sme
- Re-add x-webobjects-server-url (needed for images)

* Fri Feb 4 2011 Daniel B. <daniel@firewall-services.com> - 0.1-1.sme
- Fork from smeserver-sogo-0.5.3
- Add OCSSessionsFolderURL (compatibility with sogo-1.3.5)
- Add support for Apple CardDav
- Remove sogo-modify event (use email-update instead)
- Don't redirect to https://systemname.domainname/SOGo
- Prop to enable email alarms
- Prop to enable public access
- Prop to enable aux accounts
- Default to check messages every 10 min
- First day of week is monday
- Change default fwd mode to attached


%prep
%setup -q

%build
%{__mkdir_p} root/var/log/memcached-sogo
%{__mkdir_p} root/usr/share/SOGo/cgi-bin
perl ./createlinks
gcc -o cas-proxy-validate ./cas-proxy-validate.c $RPM_OPT_FLAGS

%install
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}-filelist

(cd root   ; /usr/bin/find . -depth -print | /bin/cpio -dump $RPM_BUILD_ROOT)

install -p cas-proxy-validate $RPM_BUILD_ROOT/usr/share/SOGo/cgi-bin/
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/GNUstep/SOGo/WebServerResources/
install -p logo_ipasserelle.png $RPM_BUILD_ROOT%{_libdir}/GNUstep/SOGo/WebServerResources/logo_ipasserelle.png
%{__mkdir_p} $RPM_BUILD_ROOT/home/e-smith/db/sogo

/sbin/e-smith/genfilelist \
    --dir /var/lib/sogo 'attr(0700,sogo,sogo)' \
    --dir /var/lib/sogo/GNUstep 'attr(0755,sogo,sogo)' \
    --dir /var/lib/sogo/GNUstep/Defaults 'attr(0755,sogo,sogo)' \
    --dir /home/e-smith/db/sogo 'attr(0700, sogo, sogo)' \
    --file /var/service/memcached-sogo/run 'attr(0755, root, root)' \
    --file /var/service/memcached-sogo/log/run 'attr(0755, root, root)' \
    --dir /var/log/memcached-sogo 'attr(0700, sogo, sogo)' \
    --file /etc/cron.hourly/sogo-sessions 'attr(0755, root, root)' \
    --file /usr/share/SOGo/cgi-bin/cas-proxy-validate 'attr(4750, sogo, www)' \
    --file /usr/share/SOGo/cgi-bin/cas-proxy-validate.py 'attr(0755, sogo, www)' \
    $RPM_BUILD_ROOT > %{name}-%{version}-%{release}-filelist

%files -f %{name}-%{version}-%{release}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

